Package io.flutter.embedding.engine.systemchannels

## Enum SettingsChannel.PlatformBrightness

- java.lang.Object
- - java.lang.Enum<SettingsChannel.PlatformBrightness>
  - - io.flutter.embedding.engine.systemchannels.SettingsChannel.PlatformBrightness

- All Implemented Interfaces:
    `Serializable`, `Comparable<SettingsChannel.PlatformBrightness>`
  Enclosing class:
    SettingsChannel

      public static enum SettingsChannel.PlatformBrightness
      extends Enum<SettingsChannel.PlatformBrightness>

  The brightness mode of the host platform.

  The `name` property is the serialized representation of each brightness mode when communicated via message channel.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `dark` |
    `light` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `name` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SettingsChannel.PlatformBrightness` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SettingsChannel.PlatformBrightness[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### light

          public static final SettingsChannel.PlatformBrightness light

    - #### dark

          public static final SettingsChannel.PlatformBrightness dark

  - ### Field Detail

    - #### name

          @NonNull
          public String name

  - ### Method Detail

    - #### values

          public static SettingsChannel.PlatformBrightness[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SettingsChannel.PlatformBrightness c : SettingsChannel.PlatformBrightness.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SettingsChannel.PlatformBrightness valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null